## ldapsaisie 1.0-2

=== debian/changelog ===
ldapsaisie (1.0-2) unstable; urgency=low

  * Added LStemplate component permited template customization
  * Handle PHP error messages
  * Remove noisy files
  * Improve LSexample (shema, LDIF and slapd configuration)
  * LSformElement::valueWithUnit : sort units params before using

 -- Benjamin Renard <brenard@zionetrix.net>  Mon, 17 Jun 2013 23:42:58 +0200

ldapsaisie (1.0-1) unstable; urgency=low

  * Initial Debian release

 -- Benjamin Renard <brenard@zionetrix.net>  Tue, 31 Mar 2013 05:25:12 +0100

## ldapsaisie 1.0-3

=== debian/changelog ===
ldapsaisie (1.0-3) unstable; urgency=low

  * Manage image path with LStemplate (that permit local image)

 -- Benjamin Renard <brenard@zionetrix.net>  Wed, 19 Jun 2013 00:58:51 +0200

## ldapsaisie 1.0-4

=== debian/changelog ===
ldapsaisie (1.0-4) unstable; urgency=low

  * Added image.php to permit fully dynamic image path (including via JS)

 -- Benjamin Renard <brenard@zionetrix.net>  Wed, 19 Jun 2013 02:20:39 +0200

## ldapsaisie 1.0-5

=== debian/changelog ===
ldapsaisie (1.0-5) unstable; urgency=low

  * Manage CSS path with LStemplate
  * Update documentation
  * Fixed last release bugs

 -- Benjamin Renard <brenard@zionetrix.net>  Wed, 19 Jun 2013 04:04:39 +0200

## ldapsaisie 1.0-6

=== debian/changelog ===
ldapsaisie (1.0-6) unstable; urgency=low

  * LStemplate : fixed template missing warning caused by Smarty3 peculiarities
  * LSformElement_password : added clearView and clearEdit parameters
  * LSaddon::posix : added generate_memberUidFromUniqueMember() function

 -- Benjamin Renard <brenard@easter-eggs.com>  Thu, 27 Jun 2013 15:08:16 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-doc

build-doc:
	make -C $(CURDIR)/doc/exports/html -f Makefile debian

clean:
	dh_testdir
	dh_testroot

	dh_clean
	make -C $(CURDIR)/doc -f Makefile clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	dh_install debian/conf/apache.conf /etc/ldapsaisie/

	cp -fr $(CURDIR)/public_html $(CURDIR)/debian/ldapsaisie/usr/share/ldapsaisie
	find $(CURDIR)/debian/ldapsaisie/usr/share/ldapsaisie -name .gitignore -exec rm -f {} \;
	find $(CURDIR)/debian/ldapsaisie/usr/share/ldapsaisie -name .placefolder -exec rm -f {} \;

	mv $(CURDIR)/debian/ldapsaisie/usr/share/ldapsaisie/local $(CURDIR)/debian/ldapsaisie/etc/ldapsaisie/
	find $(CURDIR)/debian/ldapsaisie/etc/ldapsaisie/local -type f -exec rm -f \{\} \;
	dh_link /etc/ldapsaisie/local /usr/share/ldapsaisie/local
	mv $(CURDIR)/debian/ldapsaisie/usr/share/ldapsaisie/conf/config.inc.php $(CURDIR)/debian/ldapsaisie/etc/ldapsaisie/local/conf/
	sed -i 's/tmp\/LS.log/\/var\/log\/ldapsaisie\/ldapsaisie.log/' $(CURDIR)/debian/ldapsaisie/etc/ldapsaisie/local/conf/config.inc.php

	rm -fr $(CURDIR)/debian/ldapsaisie/usr/share/ldapsaisie/tmp
	dh_link /var/tmp/ldapsaisie /usr/share/ldapsaisie/tmp

	cp -f $(CURDIR)/lsexample/schema/lsexample.schema  $(CURDIR)/debian/ldapsaisie/etc/ldap/schema/
	cp -f $(CURDIR)/lsexample/schema/lsexample.ldif  $(CURDIR)/debian/ldapsaisie/etc/ldap/schema/
	

# Build architecture-independent files here.
binary-indep: build install
	dh_installdocs
	dh_installlogrotate

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs ChangeLog
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## ldapsaisie 1.0-7

=== debian/changelog ===
ldapsaisie (1.0-7) unstable; urgency=low

  * LSsearch : Added searchLSformat and approxLSformat parameter for searched attributes
  * Added local LSaddons and LSauth directories
  * Moved local directory in /usr/local/ldapsaisie

 -- Benjamin Renard <brenard@easter-eggs.com>  Fri, 28 Jun 2013 12:09:23 +0200

## ldapsaisie 1.0-8

=== debian/changelog ===
ldapsaisie (1.0-8) unstable; urgency=low

  * Added LSaddon::phpLdapAdmin
  * Disabled Apache directory listing and force FollowSymLinks option

 -- Benjamin Renard <brenard@easter-eggs.com>  Fri, 28 Jun 2013 17:28:25 +0200

=== debian/rules ===
--- 
+++ 
@@ -28,11 +28,11 @@
 	find $(CURDIR)/debian/ldapsaisie/usr/share/ldapsaisie -name .gitignore -exec rm -f {} \;
 	find $(CURDIR)/debian/ldapsaisie/usr/share/ldapsaisie -name .placefolder -exec rm -f {} \;
 
-	mv $(CURDIR)/debian/ldapsaisie/usr/share/ldapsaisie/local $(CURDIR)/debian/ldapsaisie/etc/ldapsaisie/
-	find $(CURDIR)/debian/ldapsaisie/etc/ldapsaisie/local -type f -exec rm -f \{\} \;
-	dh_link /etc/ldapsaisie/local /usr/share/ldapsaisie/local
-	mv $(CURDIR)/debian/ldapsaisie/usr/share/ldapsaisie/conf/config.inc.php $(CURDIR)/debian/ldapsaisie/etc/ldapsaisie/local/conf/
-	sed -i 's/tmp\/LS.log/\/var\/log\/ldapsaisie\/ldapsaisie.log/' $(CURDIR)/debian/ldapsaisie/etc/ldapsaisie/local/conf/config.inc.php
+	mv $(CURDIR)/debian/ldapsaisie/usr/share/ldapsaisie/local $(CURDIR)/debian/ldapsaisie/usr/local/share/ldapsaisie
+	find $(CURDIR)/debian/ldapsaisie/usr/local/share/ldapsaisie -type f -exec rm -f \{\} \;
+	dh_link /usr/local/share/ldapsaisie /usr/share/ldapsaisie/local
+	mv $(CURDIR)/debian/ldapsaisie/usr/share/ldapsaisie/conf/config.inc.php $(CURDIR)/debian/ldapsaisie/usr/local/share/ldapsaisie/conf/
+	sed -i 's/tmp\/LS.log/\/var\/log\/ldapsaisie\/ldapsaisie.log/' $(CURDIR)/debian/ldapsaisie/usr/local/share/ldapsaisie/conf/config.inc.php
 
 	rm -fr $(CURDIR)/debian/ldapsaisie/usr/share/ldapsaisie/tmp
 	dh_link /var/tmp/ldapsaisie /usr/share/ldapsaisie/tmp

## ldapsaisie 1.0-9

=== debian/changelog ===
ldapsaisie (1.0-9) unstable; urgency=low

  * Fixed config.inc.php problem on upgrade

 -- Benjamin Renard <brenard@easter-eggs.com>  Tue, 09 Jul 2013 13:56:24 +0200

## ldapsaisie 1.0-10

=== debian/changelog ===
ldapsaisie (1.0-10) unstable; urgency=low

  * Added documentation about LSformat modifiers
  * LSattr_html_select_list : fixed bug with number key value
  * generate_lang_file.php : Added inclusion of local directory
    and --additional-file-format parameter
  * LSldap : fixed problem with empty attribute on adding
  * LSsearch : Fixed bug on no attributes specifies in config for LSsearch
  * LSauthMethod::anonymous : Added parameter LSAUTHMETHOD_ANONYMOUS_DISABLE_LOGOUT
  * LSaddon :: samba : added some new functions to generate attributes values
  * Added new LSattr_ldap :: shadowExpire

 -- Benjamin Renard <brenard@easter-eggs.com>  Fri, 26 Jul 2013 12:23:20 +0200

=== debian/rules ===
--- 
+++ 
@@ -31,8 +31,8 @@
 	mv $(CURDIR)/debian/ldapsaisie/usr/share/ldapsaisie/local $(CURDIR)/debian/ldapsaisie/usr/local/share/ldapsaisie
 	find $(CURDIR)/debian/ldapsaisie/usr/local/share/ldapsaisie -type f -exec rm -f \{\} \;
 	dh_link /usr/local/share/ldapsaisie /usr/share/ldapsaisie/local
-	mv $(CURDIR)/debian/ldapsaisie/usr/share/ldapsaisie/conf/config.inc.php $(CURDIR)/debian/ldapsaisie/usr/local/share/ldapsaisie/conf/
-	sed -i 's/tmp\/LS.log/\/var\/log\/ldapsaisie\/ldapsaisie.log/' $(CURDIR)/debian/ldapsaisie/usr/local/share/ldapsaisie/conf/config.inc.php
+	sed -i 's/tmp\/LS.log/\/var\/log\/ldapsaisie\/ldapsaisie.log/' $(CURDIR)/debian/ldapsaisie/usr/share/ldapsaisie/conf/config.inc.php
+	cp $(CURDIR)/debian/ldapsaisie/usr/share/ldapsaisie/conf/config.inc.php $(CURDIR)/debian/ldapsaisie/usr/local/share/ldapsaisie/conf/config.inc.example.php
 
 	rm -fr $(CURDIR)/debian/ldapsaisie/usr/share/ldapsaisie/tmp
 	dh_link /var/tmp/ldapsaisie /usr/share/ldapsaisie/tmp

## ldapsaisie 1.0-11

=== debian/changelog ===
ldapsaisie (1.0-11) unstable; urgency=low

  * Add ldapsaisie-generate-lang-file command
  * LSformElement_select_object : Added filter parameter
  * Bugs fixed :
    * LSformElement_password : fixed mail_attr parameter reading method
    * Fixed some vales check to globally permit 'zero string' value
    * LSsearch::setParams() : fixed attributes setting
    * LSldapObject::listObjects() : removed 'dn' as attribute asked in LSsearch

 -- Benjamin Renard <brenard@aconit.easter-eggs.fr>  Wed, 27 Nov 2013 18:26:55 +0100

## ldapsaisie 1.1-1

=== doc/exports/Makefile ===
DOCBOOK_FILE=../LdapSaisie.docbook

all:    html pdf

# HTML
html:		html/LdapSaisie.html

html/LdapSaisie.html:
				cd html; make html

clean_html:
				cd html; make clean

# PDF
pdf:		pdf/LdapSaisie.pdf

pdf/LdapSaisie.pdf:
				cd pdf; make pdf

clean_pdf:
				cd pdf; make clean

clean:  clean_html clean_pdf

=== debian/changelog ===
ldapsaisie (1.1-1) unstable; urgency=low

  * New features :
    * Add possibility to add extra displayed columns in object search result
    * Add inarray LSformRule
    * LStemplate : add registerFunction() method permitting to register function usable by in template
    * LSform.js : add method getInput() and use it in method getValue()
    * LSformElement_text : use getValue/getInput of LSform object instead of LSformElement_text to permit value generation with more form element type
  * Bugs fixed :
    * Core : Fix error reporting
    * LSldapObject : remove unsed variable $submitError fixing object's after_modify trigger bug
    * LSattr_html_select_list : Use more robust inarray LSformRule instead of regex
    * LSrelation : fixed refresh bug when multiple relations content the same object
  * Doc :
    * Added informations about LSattr_html_valueWithUnit
    * Added details about regex format using in regex check_data

 -- Benjamin Renard <brenard@easter-eggs.com>  Tue, 17 Jun 2014 16:18:01 +0200

=== debian/control ===
Source: ldapsaisie
Section: admin
Priority: extra
Build-Depends: debhelper, xsltproc, docbook-xsl
Maintainer: Benjamin Renard <brenard@easter-eggs.com>

Package: ldapsaisie
Architecture: all
Depends: apache2 | httpd, php5-ldap, libapache2-mod-php5 | php5-cli, smarty, php-net-ldap2, php-net-ftp, php-mail
Maintainer: Benjamin Renard <brenard@easter-eggs.com>
Description:  web based interface for managing LDAP servers content
 LdapSaisie is a Web application developed to manage LDAP directory.
 It has been written in PHP / JavaScript and is published under the
 GNU GPL license. This application is designed to abstract the
 complexity of the directory through a simple and intuitive
 administration interface. It was designed with the objective of
 maximal modularity and easy extension or adaptation: you can use
 modules, extensions and plugins. LdapSaisie allows any system
 administrator to manage data stored inside a LDAP server, and thus
 administrate its information system in a simple manner. It's also
 possible to let users access their own data, with read-only or
 read-write access.

=== debian/rules ===
--- 
+++ 
@@ -36,6 +36,8 @@
 
 	rm -fr $(CURDIR)/debian/ldapsaisie/usr/share/ldapsaisie/tmp
 	dh_link /var/tmp/ldapsaisie /usr/share/ldapsaisie/tmp
+
+	cp -fr $(CURDIR)/debian/bin/* $(CURDIR)/debian/ldapsaisie/usr/bin/
 
 	cp -f $(CURDIR)/lsexample/schema/lsexample.schema  $(CURDIR)/debian/ldapsaisie/etc/ldap/schema/
 	cp -f $(CURDIR)/lsexample/schema/lsexample.ldif  $(CURDIR)/debian/ldapsaisie/etc/ldap/schema/

## ldapsaisie 1.1-2

=== debian/changelog ===
ldapsaisie (1.1-2) unstable; urgency=low

  * New features :
    * Add LSattr_html::select_box
    * LSformRule :: password : Added minValidRegex parameter and use preg_match() function instead of deprecated ereg()
  * Bugs fixed :
    * LSformElement :: text : fixed bug breaking autoGenerateOnModify feature
    * JS / getFData() : fixed bug permitting to support than method() return array of string
    * LSform : fixed JS bug leaving previous errors messages in form
  * Improve debian rules file

 -- Benjamin Renard <brenard@easter-eggs.com>  Mon, 30 Jun 2014 13:53:20 +0200

## ldapsaisie 1.1-3

=== debian/changelog ===
ldapsaisie (1.1-3) unstable; urgency=low

  * Doc :
    * Add method to export documentation in EPUB format
    * Some fix
  * LSsearch :
    * Fix sort feature to be case insensitive
    * Add customAction feature
  * LSformRule :: alphanumeric : Add parameter to allow accent
  * LSformat : Full support format in JS and improve substr
  * Add common function now()
  * LSattr_html :: select_list : Add sort feature
  * LSformElement :: select_object : Add sort feature

 -- Benjamin Renard <brenard@easter-eggs.com>  Wed, 08 Oct 2014 17:26:30 +0200

## ldapsaisie 1.1-4

=== debian/changelog ===
ldapsaisie (1.1-4) unstable; urgency=low

  * LSaddons :: supann : 
    * Complet redesign and improve
    * Redesign LSformElement : supannLabeledValue / supannRoleEntite
    * Add LSformElement : supannEmpCorps / supannEtuInscription / supannCompositeAttribute
  * LSsearch : fix bug in sort direction
  * LSsession :
    * Fix bug resolving user's LSprofiles
    * Add useUserCredentials parameter
  * LSform : 
    * block form validation if element's errors is defined
    * preserve current tab between view, modify and create pages
    * LSformElement : 
      * add no_value_label parameter
      * JS : permit form element to provide custom clean value method
      * provide class name of element in template variables
  * LSerror : Add PHP error handler
  * Function getFData() : try to catch error casting data to string

 -- Benjamin Renard <brenard@easter-eggs.com>  Thu, 27 Nov 2014 10:35:22 +0100

## ldapsaisie 1.1-5

=== debian/changelog ===
ldapsaisie (1.1-5) unstable; urgency=low

  * Improove generate_lang_file.php script
  * Add support of supannActivite attribute
  * LSldap : fix combineFilters() method
  * LSldapObject : fix getObjectFilter()
  * Fix fr_FR.UTF8 translation

 -- Benjamin Renard <brenard@easter-eggs.com>  Mon, 05 Jan 2015 16:58:18 +0100

## ldapsaisie 1.1-6

=== debian/changelog ===
ldapsaisie (1.1-6) unstable; urgency=low

  * Global :
    * Allow a sequence of filters in LSobjects profile configurations (Thank B.Dauvergne)
    * Redefine globals on per LDAP server basic (Thank B.Dauvergne)
    * Add global parameter defaultCSSfiles
  * LSsupann addon : Convert all defines to globals (Thank B.Dauvergne)
  * LSattr_html :: password : Add possibility to generate password using pwgen command
  * LSformElement :: select_object : Add ordered feature
  * LSattr_ldap :: boolean : Add default TRUE/FALSE values
  * view.tpl : use double quotes instead of simple in HTML

 -- Benjamin Renard <brenard@easter-eggs.com>  Mon, 09 Feb 2015 11:26:00 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
 Package: ldapsaisie
 Architecture: all
 Depends: apache2 | httpd, php5-ldap, libapache2-mod-php5 | php5-cli, smarty, php-net-ldap2, php-net-ftp, php-mail
-Maintainer: Benjamin Renard <brenard@easter-eggs.com>
 Description:  web based interface for managing LDAP servers content
  LdapSaisie is a Web application developed to manage LDAP directory.
  It has been written in PHP / JavaScript and is published under the

## ldapsaisie 1.2-1

=== debian/changelog ===
ldapsaisie (1.2-1) unstable; urgency=low

 * Translation : manage message strings in templates files
 * Add import feature
 * Add LSformRule_callable
 * LSsession : Catch initialization exceptions
 * Fix Smarty default path to default smarty3 path of Debian package
 * LSldapObject : Fix method to get rdn value
 * LSformElement :
  * valueWithUnit : improve floatint number display and add parameter for formatting control
  * select_list / select_box : permit to put possible values in labelled group

 -- Benjamin Renard <brenard@easter-eggs.com>  Thu, 30 Jul 2015 16:55:06 +0200

## ldapsaisie 1.3-1

=== debian/changelog ===
ldapsaisie (1.3-1) unstable; urgency=low

 * LSaddon : Permit LSaddon to provide ajax function
 * LSaddon : Permit LSaddon to provide a custom view
 * LSsession : improve refresh
 * LSsearch : add formaterFunction parameter for extraDisplayedColumns
 * Translation :
   + Improve generate_lang_file.php script :
     + Initialize LSsession before parsing for messages permiting to
       resolv some case of complex configurations
     + Make it callable from anywhere
     + Automatically imports existing langs files
     + Add parsing of LSaddons
    + Update french translation fixing some missing strings
 * Automatically imports existing langs files
 * Doc : Fix compatibility with old version of Docbook DTD
 * Interface : Fix CSS vertical alignment of #status

 -- Benjamin Renard <brenard@easter-eggs.com>  Fri, 21 Aug 2015 18:06:09 +0200

## ldapsaisie 1.3-2

=== debian/changelog ===
ldapsaisie (1.3-2) unstable; urgency=low

  * LSsearch : Add visibleTo parameter to extra displayed columns
  * LSldapObject : Add helpInfo parameter for customActions
  * LSmail : add possibilty to set some display options from JS
  * LSaddon posix : Fix hard-coded parameter information and add comment for newest functions
  * LSauthMethod::HTTP : Add parameter to disable checking login/password by LDAP auth challenge
  * LSattr_html :: select_list : add values_attribute parameter
  * generate_lang_file.php : some improvements
  * upgradeFromGit : Clean template cache during upgrade
  * LSformRule :: date : Fix mktime return check
  * LSaddon / view : permit to hide a LSaddon view in menu
  * Some fixes

 -- Benjamin Renard <brenard@easter-eggs.com>  Thu, 02 Feb 2017 12:15:58 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 Package: ldapsaisie
 Architecture: all
-Depends: apache2 | httpd, php5-ldap, libapache2-mod-php5 | php5-cli, smarty, php-net-ldap2, php-net-ftp, php-mail
+Depends: apache2 | httpd, php5-ldap, libapache2-mod-php5 | php5-cli, smarty, php-net-ldap2, php-net-ftp, php-mail, php-file-csv-datasource
 Description:  web based interface for managing LDAP servers content
  LdapSaisie is a Web application developed to manage LDAP directory.
  It has been written in PHP / JavaScript and is published under the

## ldapsaisie 1.4-1

=== debian/changelog ===
ldapsaisie (1.4-1) unstable; urgency=medium

  * LSobject / customAction : add noRedirect parameter
  * Add button to permit user to refresh his access rights
  * Fix problems when onlyAccessible parameter is set to True in LSobject configuration file
  * Add parameters to handle onlyAccessible LSsearch parameter for :
   + LSsession / subDn
   + LSattr_html :: select_list
   + LSattr_html :: select_object
  * LSattr_html :: select_object : Fix handling filter parameter
  * Fix view access to specific autorized LSobject even if LSobject type is not in menu

 -- Benjamin Renard <brenard@easter-eggs.com>  Thu, 23 Mar 2017 16:42:25 +0100

## ldapsaisie 1.4-2

=== debian/changelog ===
ldapsaisie (1.4-2) unstable; urgency=medium

  * Add new type of HTML attribut : jsonCompositeAttribute
  * LSrelation : 
   + improve and make it easy to configure simple relation
   + add possibilty to handle relation with multiple key values
  * Fix some PHP 7 compatibility errors

 -- Benjamin Renard <brenard@easter-eggs.com>  Thu, 11 May 2017 15:32:16 +0200

## ldapsaisie 1.5-1

=== debian/changelog ===
ldapsaisie (1.5-1) unstable; urgency=medium

  * IMPORTANT : Rename LSattr_ldap :: postalAddress to LSattr_ldap :: postaladdress
  * Add some basic CSS theme files
  * Use light blue CSS theme file as default
  * LSattr_html :: postaladdress : improve it and add default configuration value
  * LSformElement_select : fix bug when possible_values params is unset or empty
  * Add cron file to purge old temporary files
  * Doc :
   + Improve doc on postalAddress attribute type
   + Fix <citetitle> HTML element style

 -- Benjamin Renard <brenard@easter-eggs.com>  Mon, 26 Jun 2017 18:37:39 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 Package: ldapsaisie
 Architecture: all
-Depends: apache2 | httpd, php5-ldap, libapache2-mod-php5 | php5-cli, smarty, php-net-ldap2, php-net-ftp, php-mail, php-file-csv-datasource
+Depends: apache2 | httpd, php-ldap | php5-ldap, php-fpm | libapache2-mod-php5 | libapache2-mod-php | php5-cli | php-cli, smarty | smarty3, php-net-ldap2, php-net-ftp, php-mail, php-file-csv-datasource
 Description:  web based interface for managing LDAP servers content
  LdapSaisie is a Web application developed to manage LDAP directory.
  It has been written in PHP / JavaScript and is published under the

## ldapsaisie 1.5-2

=== debian/changelog ===
ldapsaisie (1.5-2) unstable; urgency=medium

  * LSformElement :: select_box : fix isValidValue() method in inherited context

 -- Benjamin Renard <brenard@easter-eggs.com>  Tue, 27 Jun 2017 15:12:54 +0200

## ldapsaisie 1.6-1

=== debian/changelog ===
ldapsaisie (1.6-1) unstable; urgency=medium

  * LSrelation :
   + Add create action button
   + Add create button even if user can't edit the relation
  * LSldapObject : fix foreach error in getObjectKeyValueInRelation() if attribute is empty
  * Review LSformRules parameters usage and documentation

 -- Benjamin Renard <brenard@easter-eggs.com>  Tue, 22 Aug 2017 15:45:44 +0200

## ldapsaisie 1.7-1

=== debian/changelog ===
ldapsaisie (1.7-1) unstable; urgency=medium

  * LSattr_html :: date :
    + Fix default form rule parameters
    + Add showNowButton and showTodayButton parameters
  * LSformRule_date : add error if no date format specified
  * Add generateFunction and additionalAttrs parameters for
    extraDisplayedColumns
  * LSatt_html :: jsonCompositeAttributeFix : fix possible values ajax loading
  * generate_lang_file.php : handle LSattr_html::jsonCompositeAttribute config
  * LSattr_html :: ssh_key : fix regex
  * Add LSformRule :: ssh_pub_key
  * Replace all ereg() function call by preg_match()

 -- Benjamin Renard <brenard@easter-eggs.com>  Mon, 08 Jan 2018 20:27:15 +0100

## ldapsaisie 1.7-2

=== doc/exports/pdf/Makefile ===
DOCBOOK_FILE=../../LdapSaisie.docbook
JW=jw
PDF_FILE=LdapSaisie.pdf

all:		pdf

pdf:		LdapSaisie.pdf

LdapSaisie.pdf:		$(DOCBOOK_FILE)
						SP_ENCODING=XML $(JW) -f docbook -b pdf "$(DOCBOOK_FILE)"

clean:
				rm -f $(PDF_FILE)

=== debian/changelog ===
ldapsaisie (1.7-2) unstable; urgency=medium

  * Fix cron and doc about new tmp dir path

 -- Benjamin Renard <brenard@easter-eggs.com>  Tue, 09 Jan 2018 03:16:01 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	make -C $(CURDIR)/doc/exports/html -f Makefile debian

override_dh_clean:
	dh_clean
	make -C $(CURDIR)/doc -f Makefile clean

override_dh_install:
	dh_install -X .gitignore -X .placefolder -X tmp

	mv $(CURDIR)/debian/ldapsaisie/usr/share/ldapsaisie/local $(CURDIR)/debian/ldapsaisie/usr/local/share/ldapsaisie
	find $(CURDIR)/debian/ldapsaisie/usr/local/share/ldapsaisie -type f -exec rm -f \{\} \;
	sed -i 's/tmp\/LS.log/\/var\/log\/ldapsaisie\/ldapsaisie.log/' $(CURDIR)/debian/ldapsaisie/usr/share/ldapsaisie/conf/config.inc.php
	cp $(CURDIR)/debian/ldapsaisie/usr/share/ldapsaisie/conf/config.inc.php $(CURDIR)/debian/ldapsaisie/usr/local/share/ldapsaisie/conf/config.inc.example.php

override_dh_usrlocal:

## ldapsaisie 1.8-1

=== debian/changelog ===
ldapsaisie (1.8-1) unstable; urgency=medium

  * LSdefault : encode LSjsConfig data in Base64
  * LSattr_html :
    + password : add get_mail_attr_function parameter
    + valueWithUnit : add translate_labels, store_integer and round_down parameters
    + jsonCompositeAttribute :
      + Add help_info and multiple parameters on components
      + Fix foreach syntax for retro-compat with old Smarty versions
      + fix JS clear value method
    + select_list :
      + add possiblity to use values of other attribute as possible values
      + fix warning on empty jsonCompositeAttribute possible values
      + fix invalid possible values on empty other attribute value
  * LSldap : fix/improve getAttr() method
  * LSformElement.js : do not handle sub li elements during initialization
  * Translation : fix error when trying to translate empty string
  * ldapsaisie-generate-lang-file (generate_lang_file.php) :
    + improve to handle new config parameters
    + add interactive mode
    + add output file feature
    + add short parameters

 -- Benjamin Renard <brenard@easter-eggs.com>  Wed, 16 May 2018 17:42:02 +0200

## ldapsaisie 1.8-2

=== debian/changelog ===
ldapsaisie (1.8-2) unstable; urgency=medium

  * Add missing patch of 1.7-2 Debian package version missing on last version
  * Add nocache param on JS/CSS URL to avoid cache problems

 -- Benjamin Renard <brenard@easter-eggs.com>  Tue, 22 May 2018 18:52:32 +0200

## ldapsaisie 1.8-3

=== debian/changelog ===
ldapsaisie (1.8-3) unstable; urgency=medium

  * Fix local file and custom theme handling

 -- Benjamin Renard <brenard@easter-eggs.com>  Fri, 01 Jun 2018 13:59:17 +0200

## ldapsaisie 1.8-4

=== debian/changelog ===
ldapsaisie (1.8-4) unstable; urgency=medium

  * LSldapObject : Change getPatternFilter() method to use common LSsearch lib
  * Security fixes :
    + Fix XSS problem using LSdebug/LSerror/LSinfos
    + Fix search pattern validation
    + Use escape smarty modifier to enforce security
  * LSsearch : Use strnatcmp instead of strcoll in sorting method
  * LSattr_html :: jsonCompositeAttribute : fix check required method
  * LSform :
    + fix empty submit button problem in some specific cases
    + add possibility to trigger on init/submit events
  * Fix moo keybinding
  * LSdefault : add getCurrentLang() method
  * Add LSattr_html :: wysiwyg
  * Add LSaddon exportSearchResultAsCSV
  * Fix default LSpeople configuration
  * LSauthMethod::HTTP : support multiple methods to retreive user and
    password from HTTP server
  * Documentation :
    + Improve doc on LSattr_html::pre
    + Fix PDF doc export generation
  * Improve LSsession :: loadLSobject() error debugging
  * LSformElement::boolean : add true_label and false_label parameters
  * Add parameter to specify default view

 -- Benjamin Renard <brenard@easter-eggs.com>  Thu, 13 Sep 2018 16:27:24 +0200

## ldapsaisie 1.8-5

=== debian/changelog ===
ldapsaisie (1.8-5) unstable; urgency=medium

  * LSattr_html :: select_list : add translate_labels option
  * generate_lang_file.php : fix infinity loop case in parse_addon_file()
    function
  * LSsearch :: extraDisplayedColumns : add escape parameter
  * Fix and improve LSformat PHP and JS implementations
  * Debian packaging : Add php-mbstring as Recommends (need since Debian 9)
  * LStemplate : Add triggers feature
  * LSformElement_textarea : fix clear btn/Grammalecte compatibility
  * Doc : Fix PDF export

 -- Benjamin Renard <brenard@easter-eggs.com>  Mon, 01 Oct 2018 13:31:37 +0200

## ldapsaisie 1.8-6

=== debian/changelog ===
ldapsaisie (1.8-6) unstable; urgency=medium

  * Fix bug on LSformElement :: text -> getDependsFields() when using modifiers
    characters 
  * LSattr_ldap :: password : Add SHA256/SHA512 & SSHA256/SSHA512 support

 -- Benjamin Renard <brenard@easter-eggs.com>  Mon, 04 Feb 2019 18:33:15 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Package: ldapsaisie
 Architecture: all
 Depends: apache2 | httpd, php-ldap | php5-ldap, php-fpm | libapache2-mod-php5 | libapache2-mod-php | php5-cli | php-cli, smarty | smarty3, php-net-ldap2, php-net-ftp, php-mail, php-file-csv-datasource
+Recommends: php-mbstring
 Description:  web based interface for managing LDAP servers content
  LdapSaisie is a Web application developed to manage LDAP directory.
  It has been written in PHP / JavaScript and is published under the

## ldapsaisie 2.0-0

=== debian/changelog ===
ldapsaisie (2.0-0) unstable; urgency=medium

  * LSform :
    * Don't blame on missing required attribute on non-create form and
      if attibute is not present in form (or freezed).
    * Fix display bug when user has no right on the first tab
  * LSldapObject : fix removing old RDN value after object renaming
  * LSerror : fix PHP error handling
  * LSsession :
    * Fix setLocale()  parameter handling
    * Always log include errors
  * LSattr_html_maildir : fix PHP error in class contructor
  * LSformRule :: compare : fix find operator method
  * LSformElement_password : fix syntax error in getPostData() method
  * LSsearch : make purgeParams() and purgeCache() methods static
  * Add SSH LSaddon
  * LSauth : add afterLogout() trigger
  * LSauthMethod_HTTP :
    * add LSAUTHMETHOD_HTTP_LOGOUT_REMOTE_URL parameter
    * fix constructor to load config before handling it
  * LSattribute : add help_info_in_view parameter
  * LSsearchEntry : Fix 'unknwon property error' on accessing undefined attribute
  * Clarify recover password process by hiding form after the first step
  * Globally improve configuration information access to avoid duplicated code
    and PHP warnings.
  * Log all errors on developpement instance and with magic URL parameter LSdebug
  * Explicitly defined class methods visibility and upgrade PHP class constructor
    syntax. Solve static/non-static problems on some methods, parent constructor
    calls and 'Cannot make non static method' errors.
  * Increase NB_LSOBJECT_LIST default value to 30
  * Add globalSearch feature
  * Code cleaning / Fix some PHP notices

 -- Benjamin Renard <brenard@easter-eggs.com>  Tue, 21 May 2019 12:17:40 +0200

## ldapsaisie 2.1-0

=== debian/changelog ===
ldapsaisie (2.1-0) unstable; urgency=medium

  * LSattr_html :: select_list : fix children classes overriding problem
  * Translations : clean code and improvements
  * Fix question on remove object page
  * Add reset search button
  * Fix global_search in multiple subDn context
  * Global search : add button to trigger search

 -- Benjamin Renard <brenard@easter-eggs.com>  Wed, 05 Jun 2019 12:41:54 +0200

## ldapsaisie 2.2-0

=== doc/Makefile ===
DOCBOOK_FILE=LdapSaisie.docbook

all:    validate export

# Validation
validate:
				xmllint --valid --noout $(DOCBOOK_FILE) 

export:
				cd exports; make all

html:
				cd exports/html; make all-in-one/LdapSaisie.html

clean:
				cd exports; make clean

=== doc/exports/pdf/Makefile ===
DOCBOOK_FILE=../../LdapSaisie.docbook
JW=jw
BASE_FILENAME=LdapSaisie
PDF_FILE=$(BASE_FILENAME).pdf

all:		pdf

pdf:		$(PDF_FILE)

LdapSaisie.pdf:		$(DOCBOOK_FILE)
	SP_ENCODING=XML $(JW) -f docbook -b pdf "$(DOCBOOK_FILE)"

clean:
	rm -f $(BASE_FILENAME).*

=== debian/changelog ===
ldapsaisie (2.2-0) unstable; urgency=medium

  * LSattr_ldap :
    * date : Fix handling timezone
    * password : Rework/improve on password encrypt/decrypt method
  * Logging / errors reporting :
    * Globally rework and improve logging by introducing LSlog component
    * LSerror : fix error formatting when no error code is provided
    * LSform : warn on error loading LSformRule
  * LStemplate :
    * catch error on displaying/fetching templates
    * display error page on fatal error
  * Other improvements :
    * Force search pattern in global search
    * upgradeFromGit.sh : add gettext MO file change detection
  * New features :
    * Add LSformRule :: differentPassword
    * Add LSaddon mailquota

 -- Benjamin Renard <brenard@easter-eggs.com>  Mon, 01 Jul 2019 17:08:08 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Package: ldapsaisie
 Architecture: all
 Depends: apache2 | httpd, php-ldap | php5-ldap, php-fpm | libapache2-mod-php5 | libapache2-mod-php | php5-cli | php-cli, smarty | smarty3, php-net-ldap2, php-net-ftp, php-mail, php-file-csv-datasource
-Recommends: php-mbstring
+Recommends: php-mbstring, php-phpseclib
 Description:  web based interface for managing LDAP servers content
  LdapSaisie is a Web application developed to manage LDAP directory.
  It has been written in PHP / JavaScript and is published under the

## ldapsaisie 2.3-0

=== debian/changelog ===
ldapsaisie (2.3-0) unstable; urgency=medium

  * LSform_rule :: differentPassword : Add missing LSform :: getValue() function
  * LSattr_ldap_password : Fix parameters pass to verify_function and add doc about it

 -- Benjamin Renard <brenard@easter-eggs.com>  Mon, 01 Jul 2019 19:16:14 +0200

## ldapsaisie 2.4.0-0

=== debian/changelog ===
ldapsaisie (2.4.0-0) unstable; urgency=medium

  * LSauthMethod_CAS : improve logging
  * Fix global search button display on Chromium
  * Fix some PHP 7 warnings
  * LSsearch :
     * Add nbObjectsByPageChoices parameter
     * Add $GLOBALS['NB_LSOBJECT_LIST_CHOICES'] parameter
  * Update light CSS styles
  * Add LSattr_ldap :: naiveDate
  * Add LSaddon LSaccessRightsMatrixView
  * LSprofiles : add possibility to configure them a label
  * generate_lang_file.php : fix some problems

 -- Benjamin Renard <brenard@easter-eggs.com>  Fri, 25 Oct 2019 18:02:49 +0200

## ldapsaisie 2.4.1-0

=== debian/changelog ===
ldapsaisie (2.4.1-0) unstable; urgency=medium

  * generate_lang_file.php : handle LSprofiles's label
  * Enable globalSearch by default
  * generate_lang_file.php : add ignore choice in interactive mode
  * LSsession : improving logging
  * Fix some translation problems by forcing the LANGUAGE env variable value

 -- Benjamin Renard <brenard@easter-eggs.com>  Mon, 28 Oct 2019 13:03:01 +0100

## ldapsaisie 3.0.0-1

=== debian/changelog ===
ldapsaisie (3.0.0-1) unstable; urgency=medium

  * A lot of code cleaning and PHP notices fixes
  * Introduce LSurl, a new URL routing manager for LdapSaisie: all pages
    and files served by the application is now outside the web root directory.
  * Define base URL in page templates by using public_root_url parameter
  * Add a CLI commands manager and the ldapsaisie CLI tool that currently
    permit to:
     * search/list, show, create, modify and remove LSobject
     * run procedure implemented in LdapSaisie (useful to run it as cron for
      instance).
  * Provide  BASH autocompletion mechanisms for ldapsaisie CLI tool
  * Replace generate_lang_file.php and generate_ldapsaisie.pot.sh script by
    CLI commands generate_lang_file and generate_ldapsaisie_pot
  * LSsession:
     * includeFile(): allow inclusion of external file with include path search
       support (see $external parameter).
     * deprecate redirect() method in favor of LSurl :: redirect()
     * move lang stuff to a dedicated LSlang class
     * keep trace of already loaded addon to avoid loading it more than once
     * add default LSprofiles with the name of authenticable object types
     * Move custom JS & CSS handling methods from LSsession to LStemplate
  * LSsearch:
     * fix handling approx parameter
     * fix possibility to specify a filter and a pattern (in the same time)
     * fix sorting by extraDisplayedColumns (on one setParams() call)
     * fix search customActions JS validation
     * add option to disable cache on customInfos
  * LdapObject:
     * add __toString() method to fix password recovery bug
       (report by Adrien Malgoyre <adrien.malgoyre@osupytheas.fr>)
     * change getDisplayName $spe parameter default value from empty string to
       null
    *  specify object type filter on loading data
  * LSrelation: globally rework and improve it
  * LSlog:
    - fix handling non-string message
    - console handler: fix stderr switching on message other than INFO / DEBUG
    - add loggers, filters and format message by handlers
    - some fixes and improvements on get_debug_backtrace_context() method
    - add enabled parameter for handlers
  * LSerror:
    - permit to control message escape method by adding a $escape parameter to all
      accessible methods
    - do not automatically close, wait user click on cross button
  * LSauth:
    - Add possibility to configure more than one LSobject type as user
    - Add possibility to handle duplicated identifier
  * LSauthMethod::CAS: Remove deprecated LSAUTH_CAS_SERVER_SSL_CERT parameter
    (since corresponding bogus setCasServerCert() method has been remove in
    phpCAS)
  * LSaddon:
    - mail: Improve mail forging method by using PEAR Mail_mime lib
    - LSaccessRigthsMatrixView: fix handling subDn LDAP servers configuration
  * LSattr_html:
    - mail: add autocomplete feature
    - select_object: Allow multiple type of objects selection
    - wysiwyg: adjust width
    - password: add confirmInput and confirmChange features and fix/improve send
      new password feature
  * LSform:
    - Avoid page scrolling on tab change
    - Add possibility to set callback to confirm/cancel event
    - Add CSS class on submitting form to permit visual adaptation
    - validate(): fix checking elements's errors after getPostData()
  * LSformRule:
    - imagesize: fix parameters handling problem
    - filesize: improve by avoiding to create a temporary file
    - email: fix handling domain parameter if its an array
  * Add ___() function to allow declaration of messages that will be translated
    at display time
  * LSimport: fix data removing on LSobject import
  * LSselect: Allow multiple type of objects selection
  * LStemplate:
    - Now offer some new methods moved from LSsession to handle custom JS & CSS:
      addJSscript(), addLibJSscript(), addJSconfigParam(), addHelpInfos() (renamed as
      addHelpInfo()), addCssFile() and addLibCssFile()
    - fatal_error() method now use LStemplate methods to assign variables and display
      template instead of directly use Smarty methods.
  * Interface is now responsive
  * Templates:
     * Globally rework on templates files to use blocks. Common basic templates
       files are now deprecated in favor to base.tpl and base_connected.tpl:
       accueil.tpl, blank.tpl, empty.tpl, top.tpl, bottom.tpl
     * Add var_dump template function helper
  * Rework on CSS and specially on light-blue.css to make it easily customizable,
    make handling more LdapSaisie components and make it more responsive.
    All other light-*.css file now only override some CSS variables to change base
    colors.
  * LSmail: fix/improve CSS
  * Fix historical typo in configuration variable name defaultJSscipts vs defaultJSscripts
  * Fix compatibility with Safari and add error popup on Internet Explorer

 -- Benjamin Renard <brenard@easter-eggs.com>  Tue, 21 Jul 2020 14:13:30 +0200

## ldapsaisie 3.0.1-1

=== debian/changelog ===
ldapsaisie (3.0.1-1) unstable; urgency=medium

  * LSformElement JS: fire change event on input field cleared
  * LSview: Fix validated URL generation
  * LSformElement :: boolean: fix translation of default labels
  * LSaccessRightsMatrixView: fix tab links URL
  * Fix subDn form style
  * LSsession:
    * fix/improve methods & doc about global preference parameters
    * fix handling subDn in recoverPassword feature
    * fix usage of self :: $topDn instead of self :: getTopDn()
    * add setSubDn() and log_exception() methods
  * LScli:
    * fix/improve handling LDAP servers with configured subDn
    * search command: remove buggy --subDn parameter
  * LSerror: fix PHP error
  * light-blue.css: globally improve style and use dark-grey for text
  * login / recoverPassword forms: fix logo style when is too large
  * LSmail: fix select mail style
  * LSerror: format error message at adding time to fix formatting error in
    specific cases.
  * LSlog: add TRACE log level
  * Add some debug/trace messages
  * dumpFile(): add $force_download and $filename parameters

 -- Benjamin Renard <brenard@easter-eggs.com>  Thu, 13 Aug 2020 17:28:45 +0200

## ldapsaisie 3.0.2-1

=== debian/changelog ===
ldapsaisie (3.0.2-1) unstable; urgency=medium

  * LSsession:
    * includeFile(): improve logging
    * loadLSprofiles(): restructuring code and improve comments and logging
    * loadLSobject(): auto declare simple PHP class for simple LSObject type if
      PHP class file not found
    * Improve error messages
  * LSauthMethod :: authenticate(): fix PHP warning
  * LSurl::redirect: fix handling absolute URL without protocol
    For instance "//localhost/phpldapadmin/")
  * light-blue.css: fix objet link color in list when table row is hover
  * LStemplate::getImagePath(): handle SVG image type/ext as preferred format
  * LSsearch:
    * Fix/improve logging
    * Remove buggy _hash cache parameter and replace it by an hash accessible key
    * getHash(): fix handling onlyAccessible parameter
  * LSsearchEntry: remove useless $hash private property
  * LScli: add --trace parameter
  * modify page: fix URL encode object DN in redirection URL
  * LSlang:
    * Fix warning about return not True
    * generate_lang_file CLI command:
      * Add Q choice in interactive mode to quit
      * Factor handling possible_values of select list&box
      * Improve logging
  * Handle redirections of old-style URL even if user not authenticated
  * Translate LSerror message at formating/diplaying time
  * Attribute types:
    * image: fix error on non-AJAX form when no file is submitted
    * date:
     * Add special_values parameter (also add for LSformRule::date)
     * Make today button working even if input is empty
     * Add clear button
    * select_box: fix double translation of labels on unfreeze field
    * select_list:
      * clean code of getPossibleValues() method
      * add get_possible_values parameter
    * shadowExpire: fix getUpdateData() method to return string values and
      add doc about this undocumented LDAP attribute type
  * LSformRule:
    * provide reference to LSformElement instead of copied value
    * imagesize: use self :: log_debug() instead of LSdebug()
    * date: add special_values parameter
  * LSldapObject:
    * getValue(): add $first and $default parameters
    * submitChange(): improve logging
    * add isValidTypeName() method and use it in LSsession::loadLSobject().
      LSobject type name must now only contains letter, digits, dash or underscore.
    * loadData(): explicitly list need attributes in LDAP request
  * LSrelation:
    * fix error codes prefix
    * check relation is correctly configured before using it to avoid some unreal warnings
      in case of misconfigured relation
  * LSformElement::getEmptyField() / LSformElement.tpl: Provide value index as $value_idx
    template variable
  * Improve POSIX and Samba support:
    * Improve LSaddons samba & posix
    * Add LSattr LDAP & HTML sambaAcctFlags type
    * Fix home and profile path formats in default configuration
    * Improve POSIX & Samba config in LSexample
  * LSaddons:
    * Add showTechInfo LSaddon
    * Improve LSaddons samba & posix
    * LSmail: add possibility to send HTML email
    * SUPPAN: add support for some attributes
    * LSaccessRightsMatrixView: handle customActions & customSearchActions
  * LSldap: fix/improve update() and getEntry() methods
  * Logging:
    * Improve logging on LSobject & LSattribute triggers executions
    * Extend LSlog_handler using LSlog_staticLoggerClass
    * Add warning on unknown key requested using __get methods
    * Add __toString() method to all common extendable PHP classes to make context logging
      easier
    * Log referrer URL in case of old-style URL redirection
  * LSform:
    * fix non-AJAX form submission (or form with input[type=file])
    * fix/improve handling config (especially, fix handling ajaxSubmit configuration parameter)
  * Fix handling "0" (zero string) value
  * Doc:
    * some fixes and improvements
    * Publish and complete contrib section about LSaddons, LSformElements and LSformRules

 -- Benjamin Renard <brenard@easter-eggs.com>  Wed, 30 Sep 2020 11:35:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: ldapsaisie
 Section: admin
 Priority: extra
-Build-Depends: debhelper, xsltproc, docbook-xsl
+Build-Depends: debhelper, xsltproc, docbook-xsl, bash-completion
 Maintainer: Benjamin Renard <brenard@easter-eggs.com>
 
 Package: ldapsaisie
 Architecture: all
-Depends: apache2 | httpd, php-ldap | php5-ldap, php-fpm | libapache2-mod-php5 | libapache2-mod-php | php5-cli | php-cli, smarty | smarty3, php-net-ldap2, php-net-ftp, php-mail, php-file-csv-datasource
+Depends: apache2 | httpd, php-ldap | php5-ldap, php-fpm | libapache2-mod-php5 | libapache2-mod-php | php5-cli | php-cli, smarty | smarty3, php-net-ldap2, php-net-ftp, php-mail, php-mail-mime, php-file-csv-datasource, php-console-table
 Recommends: php-mbstring, php-phpseclib
 Description:  web based interface for managing LDAP servers content
  LdapSaisie is a Web application developed to manage LDAP directory.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with bash-completion

override_dh_auto_build:
	make -C $(CURDIR)/doc/exports/html -f Makefile debian

override_dh_clean:
	dh_clean
	make -C $(CURDIR)/doc -f Makefile clean

override_dh_install:
	dh_install -X .gitignore -X .placefolder -X tmp

	# Move local directory as /usr/local/share/ldapsaisie
	# Note: a symbolic link will be install by dh_link
	mv $(CURDIR)/debian/ldapsaisie/usr/share/ldapsaisie/local $(CURDIR)/debian/ldapsaisie/usr/local/share/ldapsaisie
	# Remove all files in local directory
	find $(CURDIR)/debian/ldapsaisie/usr/local/share/ldapsaisie -type f -exec rm -f \{\} \;

	# Change default log file path
	sed -i 's/tmp\/LS.log/\/var\/log\/ldapsaisie\/ldapsaisie.log/' $(CURDIR)/debian/ldapsaisie/usr/share/ldapsaisie/conf/config.inc.php
	# Change default public_root_url
	sed -i "s/^\(\s*'public_root_url' => \).*/\1'\/ldapsaisie\/',/" $(CURDIR)/debian/ldapsaisie/usr/share/ldapsaisie/conf/config.inc.php

	# Make a copy of default config.inc.php to /usr/local/share/ldapsaisie/conf/config.inc.example.php (=/etc/ldapsaisie/local/conf/config.inc.php)
	cp $(CURDIR)/debian/ldapsaisie/usr/share/ldapsaisie/conf/config.inc.php $(CURDIR)/debian/ldapsaisie/usr/local/share/ldapsaisie/conf/config.inc.example.php

override_dh_usrlocal:
